<?php
// Display points earned in the admin bar
function my_bp_admin_bar_points() {
	global $bp;
	if(cp_module_activated('donate')){
		echo '<li class="no-arrow">';
		?><a href="#" title="<?php _e('Donate', 'cp'); ?>" onclick="Javascript:cp_module_donate();" class="thickbox cp_donateLink">
		<?php echo cp_displayPoints();
		echo '</a></li>';
	} else {
		echo '<li class="no-arrow">';
		?><a href="<?php bloginfo('url'); ?>/members/<?php echo bp_loggedin_user_username(); echo"/"; echo $bp->cubepoint->slug; ?>">
		<?php echo cp_displayPoints();
		echo '</a></li>';
	}		
		
		
}

// Add Points for creating a group
function my_bp_create_group_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_group_create', $bp->loggedin_user->id, get_option('bp_create_group_add_cp_bp'), "");
	}
}


// Remove points for deleting a group
function my_bp_delete_group_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_group_delete', $bp->loggedin_user->id, get_option('bp_delete_group_add_cp_bp'), "");
	}
}

// Add Points for a update
function my_bp_update_post_add_cppoints() {
	global $bp;

	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );

	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			// we create a boolean variable to store if the logged-in user matches any spammer id
			// since it matches, we mark the variable as "true"
			$is_spammer = true;
			
			// this line stops the foreach loop and proceeds to the next statement
			break;
		} else {
			// if the spammer doesn't match the spammer id, we mark the variable as "false"
			$is_spammer = false;
		}
	}

	// this part of the code runs after we've finished the foreach loop
	if ($is_spammer == false) {
		cp_points('cp_bp_update', $bp->loggedin_user->id, get_option('bp_update_post_add_cp_bp'), "");
	}
}

// Points for Joining a group
function my_bp_join_group_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_group_joined', $bp->loggedin_user->id, get_option('bp_join_group_add_cp_bp'), "");
	}
}

// Points for Leaving a group
function my_bp_leave_group_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_group_left', $bp->loggedin_user->id, get_option('bp_leave_group_add_cp_bp'), "");
	}
}

// Add Points for a comment or reply
function my_bp_update_comment_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_reply', $bp->loggedin_user->id, get_option('bp_update_comment_add_cp_bp'), "");
	}
}

// Add Points for a GROUP comment or reply
function my_bp_update_group_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_group_reply', $bp->loggedin_user->id, get_option('bp_update_group_add_cp_bp'), "");
	}
}

// Remove points for comment deletion
function my_bp_delete_comment_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ( $bp->loggedin_user->is_site_admin )
	return false; 
	if ($is_spammer == false) {
		cp_points('cp_bp_update_removed', $bp->loggedin_user->id, get_option('bp_delete_comment_add_cp_bp'), "");
	}
}

// Add Points for a completed Friend Request
function my_bp_friend_add_cppoints($friendship_id, $inviter_id, $invitee_id) {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_new_friend', $inviter_id, get_option('bp_friend_add_cp_bp'), "");
		cp_points('cp_bp_new_friend', $invitee_id, get_option('bp_friend_add_cp_bp'), "");		
	}
}

// Remove points for Canceled Friendship 
function my_bp_friend_delete_add_cppoints($friendship_id, $initiator_userid, $friend_userid) {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_lost_friend', $initiator_userid, get_option('bp_friend_delete_add_cp_bp'), "");
		cp_points('cp_bp_lost_friend', $friend_userid, get_option('bp_friend_delete_add_cp_bp'), "");		
	}
}

//  Add Points New Group Forum Topic (See FAQ in readme.txt for more info)
function my_bp_forum_new_topic_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_new_group_forum_topic', $bp->loggedin_user->id, get_option('bp_forum_new_topic_add_cp_bp'), "");		
	}
}

// Add Points New Group Forum Post
function my_bp_forum_new_post_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_new_group_forum_post', $bp->loggedin_user->id, get_option('bp_forum_new_post_add_cp_bp'), "");		
	}
}

// POINTS FIX for New Forum Topic Edit
function my_bp_forum_edit_topic_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_new_group_forum_post_edit', $bp->loggedin_user->id, -get_option('bp_forum_new_post_add_cp_bp'), "");
	}
}

// POINTS FIX for Forum Post Edit
function my_bp_forum_edit_post_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_new_group_forum_post_edit', $bp->loggedin_user->id, -get_option('bp_forum_new_post_add_cp_bp'), "");
	}
}

// Add Points Avatar Upload
function my_bp_avatar_add_cppoints() {
	global $bp;
	global $wpdb;
	define('CUBEPTS2', $wpdb->prefix . 'cubepoints');
	define('CUBEPTS3', $wpdb->prefix . 'cp');
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	$avatar_results = $wpdb->get_var("SELECT COUNT(*) FROM ".CUBEPTS2." WHERE type='Avatar Uploaded' AND uid = ".$bp->loggedin_user->id);
	$avatar_results2 = $wpdb->get_var("SELECT COUNT(*) FROM ".CUBEPTS3." WHERE type='cp_bp_avatar_uploaded' AND uid = ".$bp->loggedin_user->id);
	$avatar_results = $avatar_results + $avatar_results2;

	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	
	if ($is_spammer == false) {
		// this means that the user has not uploaded a avatar
		if($avatar_results < 1) {
			cp_points('cp_bp_avatar_uploaded', $bp->loggedin_user->id, get_option('bp_avatar_add_cp_bp'), "");			
		}
	}
}

// Add Points Group Avatar Upload
function my_bp_group_avatar_add_cppoints() {
	global $bp;
	global $wpdb;
	define('BBCPDB', $wpdb->prefix . 'bp_activity');
	define('CUBEPTS2', $wpdb->prefix . 'cubepoints');
	define('CUBEPTS3', $wpdb->prefix . 'cp');
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	$bp_cp_xgroups_created = $wpdb->get_var("SELECT COUNT(*) FROM ".BBCPDB." WHERE type='created_group' AND user_id = ".$bp->loggedin_user->id);
	$group_avatar_results = $wpdb->get_var("SELECT COUNT(*) FROM ".CUBEPTS2." WHERE type='Group Avatar Uploaded' AND uid = ".$bp->loggedin_user->id);
	$group_avatar_results2 = $wpdb->get_var("SELECT COUNT(*) FROM ".CUBEPTS3." WHERE type='cp_bp_group_avatar_uploaded' AND uid = ".$bp->loggedin_user->id);
	$group_avatar_results = $group_avatar_results + $group_avatar_results2;

	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	
	if ($is_spammer == false) {
		// If groups are greater than group avatar upload give points
		if($bp_cp_xgroups_created > $group_avatar_results) {
			cp_points('cp_bp_group_avatar_uploaded', $bp->loggedin_user->id, get_option('bp_avatar_add_cp_bp'), "");			
		}
	}
}

// Add Point Message Sent
function my_bp_pm_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_message_sent', $bp->loggedin_user->id, get_option('bp_pm_cp_bp'), "");
	}
}

// Add Points for BuddyPress Link Creation
function my_bp_bplink_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_link_added', $bp->loggedin_user->id, get_option('bp_bplink_add_cp_bp'), "");
	}
}

// Add Points for BuddyPress Link Vote
function my_bp_bplinkvote_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_link_voted', $bp->loggedin_user->id, get_option('bp_bplink_vote_add_cp_bp'), "");
	}
}

// Add Points for BuddyPress Link Comment/Update
function my_bp_bplinkcomment_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_link_comment', $bp->loggedin_user->id, get_option('bp_bplink_comment_add_cp_bp'), "");
	}
}

// Add Points for BuddyPress Link Delete
function my_bp_bplink_delete_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_link_delete', $bp->loggedin_user->id, get_option('bp_bplink_delete_add_cp_bp'), "");
	}
}

// Add Points for BuddyPress Gifts
function my_bp_gift_given_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_gift_given', $bp->loggedin_user->id, get_option('bp_gift_given_cp_bp'), "");		
	}
}

// Add Points for BP Gallery Upload
function my_bp_gallery_upload_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_galery_upload', $bp->loggedin_user->id, get_option('bp_gallery_upload_cp_bp'), "");
	}
}

// Remove Points for BP Gallery Delete
function my_bp_gallery_delete_add_cppoints() {
	global $bp;
	$bpcpspamlist = explode(',' , get_option( 'bp_spammer_cp_bp' ) );
	foreach ( $bpcpspamlist as $spammer_id ) {
		if ($bp->loggedin_user->id == $spammer_id ) {	
			$is_spammer = true;
			break;
		} else {
			$is_spammer = false;
		}
	}
	if ($is_spammer == false) {
		cp_points('cp_bp_galery_delete', $bp->loggedin_user->id, get_option('bp_gallery_delete_cp_bp'), "");
	}
}


/* Adds CubePoints to Profile Page*/
function cubepoints_bp_profile() {
	global $bp;
	if(function_exists('cp_displayPoints')){ ?>
		<span class="cubepoints_buddypress"><?php echo cp_displayPoints($bp->displayed_user->id); ?></span>
	<?php }

	if(cp_module_activated('donate')){
		if (is_user_logged_in()) { ?>
			<span class="cupepoints_buddypress_donate"><a href="#" title="<?php _e('Donate', 'cp'); ?>" onclick="Javascript:cp_module_donate();" class="thickbox cp_donateLink">Donate Points</a></span>
	<?php } }

	if(cp_module_activated('ranks')){ ?>
		<span class="cupepoints_buddypress_rank">Rank - <?php echo cp_module_ranks_getRank($bp->displayed_user->id); ?></span>
	<?php }
}
?>